CVE-2022-30788

Name
CVE-2022-30788
Description
A crafted NTFS image can cause a heap-based buffer overflow in ntfs_mft_rec_alloc in NTFS-3G through 2021.8.22.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://github.com/tuxera/ntfs-3g/security/advisories/GHSA-xchm-ph5h-hw4x
MISC https://github.com/tuxera/ntfs-3g/releases
Third Party Advisory https://www.debian.org/security/2022/dsa-5160
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/7JPX6OUCQKZX4PN5DQPVDUFZCOOZUX7Z/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/ECDCISL24TYH4CTDFCUVF24WAKRSYF7F/
Mailing List https://lists.debian.org/debian-lts-announce/2022/06/msg00017.html
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/FAXFYIJWT5SHHRNPOJETM77EIMJ6ZP6I/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/UEXHDCUSLJD2HSPMAAVZ5AWMPUOG6UI7/
Third Party Advisory https://security.gentoo.org/glsa/202301-01
https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/7JPX6OUCQKZX4PN5DQPVDUFZCOOZUX7Z/
https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/ECDCISL24TYH4CTDFCUVF24WAKRSYF7F/
https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/FAXFYIJWT5SHHRNPOJETM77EIMJ6ZP6I/
https://lists.fedoraproject.org/archives/list/package-announce%40lists.fedoraproject.org/message/UEXHDCUSLJD2HSPMAAVZ5AWMPUOG6UI7/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:tuxera:ntfs-3g:*:*:*:*:*:*:*:* ntfs-3g >= None <= 2021.8.22

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
ntfs-3g 3.16-main 2022.5.17-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
ntfs-3g 3.15-main 2021.8.22-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
ntfs-3g 3.14-main 2017.3.23-r3 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable